package com.iamberry.wechat.core.entity.wx;

import java.io.Serializable;
import java.util.Date;

public class ImageTextInfo implements Serializable {
	private static final long serialVersionUID = -8922763252441247989L;
	private Long imageTextNo;
	private String imageTextMD5;
    private String wxpublicNo;
    private String title;
    private String imageUrl;
    private String digest;
    private String mainText;
    private String clickUrl;
    private String clickOutUrl;
    private String sourceUrl;
    private String imageTextType;
    private Date createTime;
    
	public String getImageTextMD5() {
		return imageTextMD5;
	}
	public void setImageTextMD5(String imageTextMD5) {
		this.imageTextMD5 = imageTextMD5;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	public Long getImageTextNo() {
		return imageTextNo;
	}
	public void setImageTextNo(Long imageTextNo) {
		this.imageTextNo = imageTextNo;
	}
	public String getWxpublicNo() {
		return wxpublicNo;
	}
	public void setWxpublicNo(String wxpublicNo) {
		this.wxpublicNo = wxpublicNo;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getImageUrl() {
		return imageUrl;
	}
	public void setImageUrl(String imageUrl) {
		this.imageUrl = imageUrl;
	}
	public String getDigest() {
		return digest;
	}
	public void setDigest(String digest) {
		this.digest = digest;
	}
	public String getMainText() {
		return mainText;
	}
	public void setMainText(String mainText) {
		this.mainText = mainText;
	}
	public String getClickUrl() {
		return clickUrl;
	}
	public void setClickUrl(String clickUrl) {
		this.clickUrl = clickUrl;
	}
	public String getClickOutUrl() {
		return clickOutUrl;
	}
	public void setClickOutUrl(String clickOutUrl) {
		this.clickOutUrl = clickOutUrl;
	}
	public String getSourceUrl() {
		return sourceUrl;
	}
	public void setSourceUrl(String sourceUrl) {
		this.sourceUrl = sourceUrl;
	}
	public String getImageTextType() {
		return imageTextType;
	}
	public void setImageTextType(String imageTextType) {
		this.imageTextType = imageTextType;
	}
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	@Override
	public String toString() {
		return "ImageTextInfo [imageTextNo=" + imageTextNo + ", imageTextMD5="
				+ imageTextMD5 + ", wxpublicNo=" + wxpublicNo + ", title="
				+ title + ", imageUrl=" + imageUrl + ", digest=" + digest
				+ ", mainText=" + mainText + ", clickUrl=" + clickUrl
				+ ", clickOutUrl=" + clickOutUrl + ", sourceUrl=" + sourceUrl
				+ ", imageTextType=" + imageTextType + ", createTime="
				+ createTime + "]";
	}
	
	
    
}
